Index: c/src/ada-tests/sptests/sp09/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp09/sptest.adb	(revision 7ec982bfeb4edee3f108be98288c3a4aa00b4f3e)
+++ c/src/ada-tests/sptests/sp09/sptest.adb	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
@@ -23,5 +23,4 @@
 with TEXT_IO;
 with RTEMS.CLOCK;
-with RTEMS.DEBUG;
 with RTEMS.EVENT;
 with RTEMS.MESSAGE_QUEUE;
@@ -2385,9 +2384,4 @@
       );
 
-      -- internal heap errors, subject to change if heap code changes
-
-      TEXT_IO.PUT_LINE( "TA1 - debug_disable - DEBUG_REGION" );
-      RTEMS.DEBUG.DISABLE( RTEMS.DEBUG.REGION );
-
 --    OFFSET := 0;
 --    GOOD_BACK_FLAG := 0;
@@ -2450,7 +2444,4 @@
 --      SPTEST.REGION_GOOD_AREA( OFFSET - 2 ) := GOOD_BACK_FLAG;
 
-      TEXT_IO.PUT_LINE( "TA1 - debug_enable - DEBUG_REGION" );
-      RTEMS.DEBUG.ENABLE( RTEMS.DEBUG.REGION );
-
       RTEMS.REGION.EXTEND(
          100,
Index: c/src/ada/Makefile.am
===================================================================
--- c/src/ada/Makefile.am	(revision 7ec982bfeb4edee3f108be98288c3a4aa00b4f3e)
+++ c/src/ada/Makefile.am	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
@@ -6,5 +6,4 @@
     rtems-clock.adb rtems-clock.ads \
     rtems-cpu_usage.ads \
-    rtems-debug.adb rtems-debug.ads \
     rtems-event.adb rtems-event.ads \
     rtems-extension.adb rtems-extension.ads \
Index: c/src/ada/preinstall.am
===================================================================
--- c/src/ada/preinstall.am	(revision 7ec982bfeb4edee3f108be98288c3a4aa00b4f3e)
+++ c/src/ada/preinstall.am	(revision 9ff0f40ca0230401aa9f8739fae22691143c153f)
@@ -47,12 +47,4 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/adainclude/rtems-cpu_usage.ads
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/adainclude/rtems-cpu_usage.ads
-
-$(PROJECT_INCLUDE)/adainclude/rtems-debug.adb: rtems-debug.adb $(PROJECT_INCLUDE)/adainclude/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/adainclude/rtems-debug.adb
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/adainclude/rtems-debug.adb
-
-$(PROJECT_INCLUDE)/adainclude/rtems-debug.ads: rtems-debug.ads $(PROJECT_INCLUDE)/adainclude/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/adainclude/rtems-debug.ads
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/adainclude/rtems-debug.ads
 
 $(PROJECT_INCLUDE)/adainclude/rtems-event.adb: rtems-event.adb $(PROJECT_INCLUDE)/adainclude/$(dirstamp)
Index: src/ada/rtems-debug.adb
===================================================================
--- c/src/ada/rtems-debug.adb	(revision 7ec982bfeb4edee3f108be98288c3a4aa00b4f3e)
+++ 	(revision )
@@ -1,59 +1,0 @@
---
---  RTEMS / Body
---
---  DESCRIPTION:
---
---  This package provides the interface to the RTEMS API.
---
---
---  DEPENDENCIES:
---
---
---
---  COPYRIGHT (c) 1997-2011.
---  On-Line Applications Research Corporation (OAR).
---
---  The license and distribution terms for this file may in
---  the file LICENSE in this distribution or at
---  http://www.rtems.org/license/LICENSE.
---
-
-package body RTEMS.Debug is
-
-   --
-   -- Debug Manager
-   --
-
-   procedure Enable (To_Be_Enabled : in Set) is
-      procedure Enable_Base (To_Be_Enabled : Set);
-      pragma Import (C, Enable_Base, "rtems_debug_enable");
-   begin
-
-      Enable_Base (To_Be_Enabled);
-
-   end Enable;
-
-   procedure Disable (To_Be_Disabled : in Set) is
-      procedure Disable_Base (To_Be_Disabled : Set);
-      pragma Import (C, Disable_Base, "rtems_debug_disable");
-   begin
-
-      Disable_Base (To_Be_Disabled);
-
-   end Disable;
-
-   function Is_Enabled
-     (Level : in Set)
-      return  RTEMS.Boolean
-   is
-      function Is_Enabled_Base
-        (Level : Set)
-         return  RTEMS.Boolean;
-      pragma Import (C, Is_Enabled_Base, "rtems_debug_is_enabled");
-   begin
-
-      return Is_Enabled_Base (Level);
-
-   end Is_Enabled;
-
-end RTEMS.Debug;
Index: src/ada/rtems-debug.ads
===================================================================
--- c/src/ada/rtems-debug.ads	(revision 7ec982bfeb4edee3f108be98288c3a4aa00b4f3e)
+++ 	(revision )
@@ -1,45 +1,0 @@
---
---  RTEMS / Specification
---
---  DESCRIPTION:
---
---  This package provides the interface to the RTEMS API.
---
---  DEPENDENCIES:
---
---  NOTES:
---    RTEMS initialization and configuration are called from
---    the BSP side, therefore should never be called from ADA.
---
---  COPYRIGHT (c) 1997-2011.
---  On-Line Applications Research Corporation (OAR).
---
---  The license and distribution terms for this file may in
---  the file LICENSE in this distribution or at
---  http://www.rtems.org/license/LICENSE.
---
-
-package RTEMS.Debug is
-
-   subtype Set is RTEMS.Unsigned32;
-
-   --
-   --  Debug Manager
-   --
-
-   All_Mask : constant Set := 16#ffffffff#;
-   Region   : constant Set := 16#00000001#;
-
-   procedure Enable (
-      To_Be_Enabled : in     Set
-   );
-
-   procedure Disable (
-      To_Be_Disabled : in     Set
-   );
-
-   function Is_Enabled (
-      Level : in     Set
-   ) return RTEMS.Boolean;
-
-end RTEMS.Debug;
